#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hawthorne5.5_base.ps
projection=-JM16.0c+
region=-R-119.5/-117.6/37.9/39.0
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map hawthorne5.5' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    38.142  -118.851
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    38.067  -119.132
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    38.726  -118.569
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    38.065  -118.737
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    38.571  -118.528
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    38.565  -118.526
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    38.570  -118.514
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    38.494  -118.409
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    38.220  -118.793
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    38.372  -119.370
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    38.547  -118.381
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    38.351  -118.777
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    38.365  -118.750
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    38.392  -118.743
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    38.404  -118.737
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    38.395  -118.739
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    38.387  -118.752
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    38.374  -118.736
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    38.350  -118.724
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    38.435  -118.748
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    38.411  -118.680
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    38.430  -118.742
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    38.413  -118.731
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    38.434  -118.720
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    38.903  -118.764
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    38.403  -118.702
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    38.571  -118.436
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    38.593  -118.421
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    38.408  -119.368
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    38.656  -118.798
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    38.665  -118.779
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    38.649  -118.792
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    38.651  -118.791
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    38.369  -118.898
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    38.388  -118.905
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    38.359  -118.916
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    38.379  -118.893
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    38.407  -118.920
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    38.352  -118.903
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    38.401  -118.931
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    38.061  -118.926
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    38.047  -118.756
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    38.041  -118.760
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    38.045  -118.758
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    38.044  -118.768
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    38.152  -117.874
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    38.162  -117.949
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    38.181  -117.896
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    38.146  -118.008
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    38.157  -117.991
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    38.174  -117.802
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    38.187  -117.979
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    38.168  -118.055
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    38.191  -117.847
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    38.177  -117.861
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    38.160  -118.041
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    38.141  -117.993
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    38.210  -117.927
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    38.199  -117.742
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    38.157  -118.053
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    38.170  -117.832
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    38.149  -117.954
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    38.181  -117.792
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    38.149  -118.065
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    38.148  -117.987
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    38.161  -118.097
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    38.184  -117.795
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    38.177  -117.844
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    38.146  -118.067
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    38.143  -118.070
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    38.206  -117.732
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    38.232  -117.788
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    38.131  -118.066
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    38.157  -117.974
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    38.149  -118.034
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    38.177  -117.785
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    38.158  -118.013
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    38.192  -117.725
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
    38.044  -118.776
END
gmt psxy -: -R $projection -Sl8p+t"80" -G0 -O -K << END >> $psfile
    38.152  -118.053
END
gmt psxy -: -R $projection -Sl8p+t"81" -G0 -O -K << END >> $psfile
    38.214  -117.777
END
gmt psxy -: -R $projection -Sl8p+t"82" -G0 -O -K << END >> $psfile
    38.187  -117.758
END
gmt psxy -: -R $projection -Sl8p+t"83" -G0 -O -K << END >> $psfile
    38.177  -117.803
END
gmt psxy -: -R $projection -Sl8p+t"84" -G0 -O -K << END >> $psfile
    38.184  -117.815
END
gmt psxy -: -R $projection -Sl8p+t"85" -G0 -O -K << END >> $psfile
    38.174  -117.795
END
gmt psxy -: -R $projection -Sl8p+t"86" -G0 -O -K << END >> $psfile
    38.182  -117.783
END
gmt psxy -: -R $projection -Sl8p+t"87" -G0 -O -K << END >> $psfile
    38.154  -117.944
END
gmt psxy -: -R $projection -Sl8p+t"88" -G0 -O -K << END >> $psfile
    38.189  -117.875
END
gmt psxy -: -R $projection -Sl8p+t"89" -G0 -O -K << END >> $psfile
    38.048  -118.753
END
gmt psxy -: -R $projection -Sl8p+t"90" -G0 -O -K << END >> $psfile
    38.108  -117.908
END
gmt psxy -: -R $projection -Sl8p+t"91" -G0 -O -K << END >> $psfile
    38.198  -117.745
END
gmt psxy -: -R $projection -Sl8p+t"92" -G0 -O -K << END >> $psfile
    38.155  -117.953
END
gmt psxy -: -R $projection -Sl8p+t"93" -G0 -O -K << END >> $psfile
    38.181  -117.839
END
gmt psxy -: -R $projection -Sl8p+t"94" -G0 -O -K << END >> $psfile
    38.166  -118.066
END
gmt psxy -: -R $projection -Sl8p+t"95" -G0 -O -K << END >> $psfile
    38.180  -118.058
END
gmt psxy -: -R $projection -Sl8p+t"96" -G0 -O -K << END >> $psfile
    38.169  -118.077
END
gmt psxy -: -R $projection -Sl8p+t"97" -G0 -O -K << END >> $psfile
    38.179  -118.057
END
gmt psxy -: -R $projection -Sl8p+t"98" -G0 -O -K << END >> $psfile
    38.179  -118.072
END
gmt psxy -: -R $projection -Sl8p+t"99" -G0 -O -K << END >> $psfile
    38.175  -118.062
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.144  -118.850
    38.142  -118.851
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.124  -118.829
    38.142  -118.851
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.064  -119.129
    38.067  -119.132
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.102  -119.149
    38.067  -119.132
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.724  -118.570
    38.726  -118.569
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.704  -118.536
    38.726  -118.569
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.064  -118.735
    38.065  -118.737
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.094  -118.720
    38.065  -118.737
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.571  -118.527
    38.571  -118.528
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.588  -118.514
    38.571  -118.528
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.564  -118.525
    38.565  -118.526
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.550  -118.504
    38.565  -118.526
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.568  -118.513
    38.570  -118.514
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.564  -118.511
    38.570  -118.514
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.492  -118.409
    38.494  -118.409
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.486  -118.384
    38.494  -118.409
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.221  -118.801
    38.220  -118.793
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.228  -118.709
    38.220  -118.793
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.371  -119.368
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.355  -119.339
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.547  -118.381
    38.547  -118.381
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.528  -118.398
    38.547  -118.381
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.348  -118.778
    38.351  -118.777
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.231  -118.733
    38.351  -118.777
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.364  -118.750
    38.365  -118.750
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.327  -118.740
    38.365  -118.750
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.392  -118.743
    38.392  -118.743
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.387  -118.727
    38.392  -118.743
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.403  -118.737
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.429  -118.716
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.395  -118.738
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.372  -118.695
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.385  -118.754
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.280  -118.778
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.372  -118.736
    38.374  -118.736
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.411  -118.733
    38.374  -118.736
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.350  -118.724
    38.350  -118.724
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.269  -118.790
    38.350  -118.724
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.436  -118.752
    38.435  -118.748
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.431  -118.735
    38.435  -118.748
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.411  -118.680
    38.411  -118.680
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.346  -118.613
    38.411  -118.680
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.429  -118.742
    38.430  -118.742
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.416  -118.729
    38.430  -118.742
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.413  -118.731
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.394  -118.716
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.434  -118.720
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.404  -118.666
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.903  -118.765
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.796  -118.995
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.403  -118.704
    38.403  -118.702
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.435  -118.702
    38.403  -118.702
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.571  -118.435
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.571  -118.451
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.593  -118.421
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.553  -118.405
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.408  -119.366
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.392  -119.391
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.656  -118.798
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.669  -118.840
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.665  -118.779
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.669  -118.846
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.650  -118.792
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.748  -118.725
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.651  -118.791
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.695  -118.768
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.369  -118.898
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.381  -118.884
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.389  -118.905
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.371  -118.862
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.360  -118.916
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.418  -118.854
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.380  -118.894
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.410  -118.776
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.407  -118.920
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.416  -118.977
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.352  -118.903
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.417  -118.931
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.402  -118.931
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.410  -118.980
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.061  -118.926
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.108  -118.985
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.046  -118.756
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.051  -118.750
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.041  -118.760
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.052  -118.756
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.045  -118.758
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.043  -118.748
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.044  -118.768
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.044  -118.756
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.152  -117.874
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.163  -117.859
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.162  -117.949
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.159  -117.958
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.181  -117.896
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.200  -117.838
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.146  -118.008
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.153  -117.968
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.157  -117.991
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.188  -117.897
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.174  -117.802
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.180  -117.765
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.187  -117.979
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.188  -117.957
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.168  -118.055
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.153  -118.033
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.191  -117.847
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.208  -117.806
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.177  -117.860
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.179  -117.854
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.159  -118.041
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.155  -118.019
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.140  -117.993
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.144  -117.916
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.210  -117.927
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.204  -117.907
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.199  -117.742
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.204  -117.716
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.157  -118.053
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.157  -118.000
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.169  -117.832
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.185  -117.810
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.149  -117.954
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.156  -117.957
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.181  -117.792
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.187  -117.776
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.149  -118.065
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.157  -118.032
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.148  -117.987
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.147  -117.992
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.160  -118.097
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.165  -118.086
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.184  -117.795
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.182  -117.808
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.176  -117.844
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.167  -117.832
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.146  -118.067
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.151  -118.052
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.143  -118.070
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.149  -118.041
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.206  -117.732
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.219  -117.724
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.232  -117.789
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.229  -117.809
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.132  -118.065
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.139  -118.051
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.157  -117.973
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.172  -117.988
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.149  -118.034
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.152  -118.039
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.177  -117.785
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.187  -117.793
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.158  -118.013
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.169  -118.006
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.191  -117.725
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.201  -117.731
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.044  -118.775
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.053  -118.789
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.152  -118.053
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.162  -118.044
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.214  -117.777
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.222  -117.766
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.187  -117.758
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.198  -117.745
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.177  -117.802
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.220  -117.733
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.184  -117.814
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.224  -117.767
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.174  -117.796
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.211  -117.758
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.182  -117.783
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.216  -117.770
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.154  -117.943
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.165  -117.937
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.189  -117.875
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.194  -117.870
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.048  -118.752
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.041  -118.742
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.108  -117.908
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.126  -117.910
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.198  -117.745
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.202  -117.743
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.156  -117.953
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.109  -118.016
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.181  -117.839
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.187  -117.814
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.166  -118.065
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.171  -118.064
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.180  -118.058
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.185  -118.059
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.170  -118.076
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.155  -118.074
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.178  -118.057
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.194  -118.046
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.179  -118.071
    38.179  -118.072
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.176  -118.071
    38.179  -118.072
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.175  -118.062
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.178  -118.075
    38.175  -118.062
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    38.142  -118.851     8.352     0.871     1.416
    38.067  -119.132    72.490     1.352     3.083
    38.726  -118.569    23.529     1.351     1.489
    38.065  -118.737    41.816     1.670     3.429
    38.571  -118.528    38.276     1.555     2.200
    38.565  -118.526    65.812     1.236     1.809
    38.570  -118.514    83.910     1.440     1.969
    38.494  -118.409   -69.197     2.181     3.353
    38.220  -118.793    29.838     2.173     3.429
    38.372  -119.370    15.416     1.880     2.752
    38.547  -118.381   -71.585     1.724     2.741
    38.351  -118.777    61.150     2.185     2.929
    38.365  -118.750   -31.626     1.298     1.595
    38.392  -118.743   -33.637     1.258     1.531
    38.404  -118.737    68.595     1.189     1.658
    38.395  -118.739    55.113     1.086     1.216
    38.387  -118.752    73.827     1.389     2.090
    38.374  -118.736    16.907     1.497     1.664
    38.350  -118.724    -8.595     1.633     1.891
    38.435  -118.748    23.712     1.323     2.490
    38.411  -118.680   -37.154     1.465     1.805
    38.430  -118.742   -86.606     1.288     1.442
    38.413  -118.731   -60.588     1.112     1.283
    38.434  -118.720   -83.804     1.231     1.397
    38.903  -118.764   -56.251     1.490     1.754
    38.403  -118.702   -46.244     1.084     1.343
    38.571  -118.436   -41.517     0.926     1.390
    38.593  -118.421   -42.904     1.117     1.590
    38.408  -119.368   -22.498     0.696     0.780
    38.656  -118.798   -62.247     0.702     1.396
    38.665  -118.779   -44.245     1.006     1.370
    38.649  -118.792   -63.403     0.870     1.384
    38.651  -118.791   -60.175     0.646     1.043
    38.369  -118.898    -1.843     0.530     0.732
    38.388  -118.905    -6.150     0.561     0.792
    38.359  -118.916    -2.536     0.649     0.872
    38.379  -118.893     8.528     0.528     0.731
    38.407  -118.920    -9.734     0.680     0.946
    38.352  -118.903   -14.975     0.920     1.212
    38.401  -118.931     5.417     0.692     0.854
    38.061  -118.926    19.710     0.638     0.842
    38.047  -118.756    28.135     0.667     1.065
    38.041  -118.760    31.992     0.663     1.051
    38.045  -118.758    30.746     0.603     0.946
    38.044  -118.768    13.785     0.681     1.022
    38.152  -117.874   -40.309     0.569     0.960
    38.162  -117.949   -27.707     1.281     2.289
    38.181  -117.896   -47.978     0.596     1.075
    38.146  -118.008   -32.737     1.122     2.056
    38.157  -117.991   -42.089     0.639     0.989
    38.174  -117.802   -41.923     0.717     1.180
    38.187  -117.979     4.717     1.511     1.869
    38.168  -118.055   -35.474     0.896     1.646
    38.191  -117.847   -39.080     0.591     1.076
    38.177  -117.861   -43.527     0.611     1.054
    38.160  -118.041   -33.074     0.490     0.914
    38.141  -117.993   -37.931     0.522     1.179
    38.210  -117.927   -44.736     0.705     1.520
    38.199  -117.742   -44.788     0.642     1.325
    38.157  -118.053   -30.679     0.565     1.070
    38.170  -117.832   -45.922     0.467     0.975
    38.149  -117.954   -39.756     0.592     1.060
    38.181  -117.792   -47.796     0.584     1.294
    38.149  -118.065   -32.217     0.649     1.252
    38.148  -117.987   -35.249     0.642     1.233
    38.161  -118.097   -30.442     0.475     0.827
    38.184  -117.795   -48.371     0.452     0.952
    38.177  -117.844   -43.487     0.623     1.147
    38.146  -118.067   -35.813     0.669     1.303
    38.143  -118.070   -31.494     0.551     0.932
    38.206  -117.732   -47.978     0.712     1.443
    38.232  -117.788   -42.407     0.481     0.772
    38.131  -118.066   -20.068     0.790     1.360
    38.157  -117.974   -34.026     0.632     1.184
    38.149  -118.034   -35.921     0.501     0.860
    38.177  -117.785   -48.521     0.502     0.964
    38.158  -118.013   -40.395     0.547     1.072
    38.192  -117.725   -44.864     0.665     1.043
    38.044  -118.776    36.423     0.453     0.660
    38.152  -118.053   -37.448     0.582     1.098
    38.214  -117.777   -45.973     0.661     1.071
    38.187  -117.758   -46.036     0.422     0.777
    38.177  -117.803   -45.974     0.492     1.059
    38.184  -117.815   -48.498     0.926     1.310
    38.174  -117.795   -51.080     0.517     1.136
    38.182  -117.783   -49.144     0.509     0.989
    38.154  -117.944   -42.313     0.643     1.343
    38.189  -117.875   -47.318     0.535     1.031
    38.048  -118.753    38.807     0.494     0.840
    38.108  -117.908   -35.663     0.503     0.818
    38.198  -117.745   -52.696     0.641     1.066
    38.155  -117.953   -41.412     0.457     0.782
    38.181  -117.839   -44.123     0.773     1.210
    38.166  -118.066   -40.791     0.707     1.255
    38.180  -118.058   -33.156     0.755     1.280
    38.169  -118.077   -40.231     0.831     1.657
    38.179  -118.057   -43.275     0.841     1.304
    38.179  -118.072   -45.478     2.153     4.845
    38.175  -118.062   -36.400     0.807     1.342
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    38.152  -117.874     0.200
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    37.995  -119.402   -61.939     0.498     0.632
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    37.995  -119.380   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    37.995  -119.402     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    37.995  -119.402     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    37.950  -119.402   5 km
END
