#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hawthorne5.5_rdp_002.ps
projection=-JX18/12
region=-R1/33/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases hawthorne5.5 Event 002' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.255     1.000
     1.888     2.000
     1.526     3.000
     1.200     4.000
     0.948     5.000
     0.840     6.000
     0.927     7.000
     1.155     8.000
     1.355     9.000
     1.516    10.000
     1.716    11.000
     1.951    12.000
     2.211    13.000
     2.490    14.000
     2.779    15.000
     3.075    16.000
     3.378    17.000
     3.687    18.000
     4.000    19.000
     4.316    20.000
     4.596    21.000
     4.878    22.000
     5.162    23.000
     5.446    24.000
     5.732    25.000
     6.018    26.000
     6.306    27.000
     6.570    28.000
     6.857    29.000
     7.145    30.000
     7.410    31.000
     7.697    32.000
     7.984    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     3.211     1.000
     2.715     2.000
     2.274     3.000
     1.945     4.000
     1.617     5.000
     1.288     6.000
     1.143     7.000
     1.539     8.000
     1.786     9.000
     1.750    10.000
     1.973    11.000
     2.546    12.000
     3.119    13.000
     3.696    14.000
     4.270    15.000
     4.839    16.000
     5.413    17.000
     5.987    18.000
     6.561    19.000
     7.136    20.000
     7.643    21.000
     8.150    22.000
     8.658    23.000
     9.167    24.000
     9.675    25.000
    10.183    26.000
    10.691    27.000
    11.168    28.000
    11.674    29.000
    12.181    30.000
    12.642    31.000
    13.146    32.000
    13.649    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.028    13.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.928    13.000
     4.928    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.928    13.000
     4.928    17.000
     2.928    17.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.928    13.000
     4.928     9.000
     2.928     9.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     2.928     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.928     1.000
     2.928    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     2.928     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     2.928    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 19901024.0615.20
    10.560     2.000 Depth of minimum misfit =   6 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
