#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hawthorne5.5_rdp_035.ps
projection=-JX18/12
region=-R1/32/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases hawthorne5.5 Event 035' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.381     1.000
     1.950     2.000
     1.527     3.000
     1.121     4.000
     0.733     5.000
     0.443     6.000
     0.398     7.000
     0.445     8.000
     0.483     9.000
     0.587    10.000
     0.797    11.000
     1.073    12.000
     1.354    13.000
     1.653    14.000
     1.958    15.000
     2.278    16.000
     2.591    17.000
     2.874    18.000
     3.183    19.000
     3.501    20.000
     3.778    21.000
     4.058    22.000
     4.337    23.000
     4.617    24.000
     4.901    25.000
     5.183    26.000
     5.460    27.000
     5.742    28.000
     6.024    29.000
     6.318    30.000
     6.601    31.000
     6.889    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     8.987     1.000
     7.260     2.000
     5.534     3.000
     3.998     4.000
     2.357     5.000
     1.338     6.000
     1.302     7.000
     1.483     8.000
     1.431     9.000
     1.664    10.000
     2.441    11.000
     3.631    12.000
     4.726    13.000
     5.925    14.000
     7.179    15.000
     8.467    16.000
     9.717    17.000
    10.845    18.000
    12.072    19.000
    13.321    20.000
    14.408    21.000
    15.501    22.000
    16.593    23.000
    17.678    24.000
    18.789    25.000
    19.888    26.000
    20.967    27.000
    22.065    28.000
    23.162    29.000
    24.301    30.000
    25.401    31.000
    26.520    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     5.042    10.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.942    10.000
     4.942    10.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.942    10.000
     4.942    14.000
     2.942    14.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.942    10.000
     4.942     6.000
     2.942     6.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     2.942     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.942     4.000
     2.942    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     4.000
     2.942     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     2.942    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20161228.0822.12
    10.560     2.000 Depth of minimum misfit =   7 km on 15 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
