#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hawthorne5.5_dcal.ps
projection=-JM16.0c+
region=-R-121.8/-115.3/36.1/40.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration hawthorne5.5' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.157
    38.142  -118.851
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.715  -117.801
    38.142  -118.851
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.157
    38.067  -119.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.035  -120.387
    38.067  -119.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.726  -118.569
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.051  -118.100
    38.726  -118.569
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.065  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.353  -118.564
    38.065  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.065  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.065  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.571  -118.528
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.571  -118.528
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.565  -118.526
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.565  -118.526
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.570  -118.514
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.570  -118.514
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.494  -118.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.494  -118.409
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.220  -118.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.154
    38.220  -118.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.035  -120.387
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.035  -120.387
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.372  -119.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.547  -118.381
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.547  -118.381
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.547  -118.381
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.547  -118.381
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.351  -118.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.351  -118.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.351  -118.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.351  -118.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.351  -118.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.365  -118.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.365  -118.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.365  -118.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.365  -118.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.365  -118.750
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.392  -118.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.392  -118.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.392  -118.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.392  -118.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.392  -118.743
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.404  -118.737
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.395  -118.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.387  -118.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.374  -118.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.374  -118.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.350  -118.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.350  -118.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.350  -118.724
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.435  -118.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.435  -118.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.435  -118.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.435  -118.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.411  -118.680
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.411  -118.680
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.411  -118.680
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.430  -118.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.430  -118.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.430  -118.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.430  -118.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.430  -118.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.413  -118.731
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.303
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.434  -118.720
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.378  -118.756
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.378  -118.756
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.355  -118.820
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.355  -118.820
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.707  -119.384
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.707  -119.384
    38.903  -118.764
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.403  -118.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.403  -118.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.403  -118.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.403  -118.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.403  -118.702
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.571  -118.436
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.076  -118.592
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.025  -118.187
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.918  -118.565
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.813  -118.696
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.894  -119.608
    38.593  -118.421
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -119.032
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.028
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.598  -119.059
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.902
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.035  -120.387
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.035  -120.387
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.609  -118.874
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052  -120.155
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.052  -120.155
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.296  -119.650
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.296  -119.650
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.635  -118.656
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.152  -120.163
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.408  -119.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.296  -119.650
    38.656  -118.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.296  -119.650
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.665  -118.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.296  -119.650
    38.649  -118.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.296  -119.650
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.296  -119.650
    38.651  -118.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.635  -118.656
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.487  -118.723
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.369  -118.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.635  -118.656
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.487  -118.723
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.388  -118.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.635  -118.656
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.487  -118.723
    38.359  -118.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.635  -118.656
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.902
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -119.032
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.028
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.598  -119.059
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.548  -118.443
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.379  -118.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.635  -118.656
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.487  -118.723
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.407  -118.920
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.813  -118.696
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.955  -118.302
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.635  -118.656
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.487  -118.723
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.352  -118.903
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.523
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.089  -119.600
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.401  -118.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.052  -119.181
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.813  -118.696
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.918  -118.565
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -119.032
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.902
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.001
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.028
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.716  -118.573
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.598  -119.059
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.635  -118.656
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.575  -118.552
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.487  -118.723
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.548  -118.443
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.440  -118.640
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.594  -118.344
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.359  -118.689
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.583  -119.806
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.429  -118.429
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.353  -118.564
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.985  -119.241
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -118.487
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.894  -119.608
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.362  -118.280
    38.061  -118.926
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.728  -118.947
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.902
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -119.032
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.028
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.429  -118.429
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.353  -118.564
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.047  -118.756
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.728  -118.947
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.902
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -119.032
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.028
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.548  -118.443
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.429  -118.429
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.353  -118.564
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.583  -119.806
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.583  -119.806
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.420  -119.744
    38.041  -118.760
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.902
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -119.032
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.548  -118.443
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.429  -118.429
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.353  -118.564
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.583  -119.806
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.583  -119.806
    38.045  -118.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.902
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.028
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.429  -118.429
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.353  -118.564
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.583  -119.806
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.583  -119.806
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.420  -119.744
    38.044  -118.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.152  -117.874
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.162  -117.949
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.181  -117.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.146  -118.008
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.157  -117.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.174  -117.802
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.187  -117.979
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.168  -118.055
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.191  -117.847
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.177  -117.861
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.160  -118.041
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.141  -117.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.210  -117.927
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.199  -117.742
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.157  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.170  -117.832
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.149  -117.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.181  -117.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.149  -118.065
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.148  -117.987
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.161  -118.097
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.184  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.177  -117.844
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.146  -118.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.143  -118.070
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.206  -117.732
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.232  -117.788
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.131  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.157  -117.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.149  -118.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.158  -118.013
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.192  -117.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.861  -119.103
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.861  -119.103
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.680  -118.909
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.680  -118.909
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.903
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.619  -118.863
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.643  -119.029
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.617  -118.960
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.617  -118.960
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -119.032
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.021
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.029
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.570  -118.753
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.548  -118.443
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.349  -119.440
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.528  -118.367
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.584  -118.237
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.438
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.438
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.429  -118.429
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.353  -118.563
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.376  -119.180
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.420  -119.744
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.638  -118.836
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.902
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -119.032
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.028
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.548  -118.443
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.437
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.429  -118.429
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.353  -118.564
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.420  -119.744
    38.044  -118.776
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.152  -118.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.214  -117.777
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.457  -118.766
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.187  -117.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.177  -117.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.184  -117.815
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.174  -117.795
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.182  -117.783
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.154  -117.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.432  -118.155
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.189  -117.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.679  -118.815
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.680  -118.909
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.666  -118.940
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.655  -118.906
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.710  -119.042
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.674  -118.507
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.659  -118.979
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.626  -118.903
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.612  -118.915
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.590  -118.829
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.617  -118.960
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.617  -118.960
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.643  -119.029
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.637  -119.018
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.654  -119.061
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.570  -118.753
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.021
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.613  -119.021
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.610  -119.029
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.548  -118.443
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.528  -118.367
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.584  -118.237
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.349  -119.440
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.349  -119.440
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.438
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.504  -119.438
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.376  -119.180
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.324  -119.319
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.582  -119.807
    38.048  -118.753
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.108  -117.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.368  -117.972
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.198  -117.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.411  -118.295
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.428  -118.294
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.307
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.437  -118.305
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.195  -119.005
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.231  -118.283
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.155  -117.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.300  -117.261
    38.181  -117.839
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.160  -118.052
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.423  -118.274
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.404  -118.318
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.430  -118.304
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.446  -118.291
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.436  -118.337
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.166  -118.066
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.180  -118.058
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.169  -118.077
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.162  -117.871
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.157  -117.872
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.227  -117.746
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.630  -118.836
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.644  -118.897
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.658  -119.012
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.179  -118.057
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.179  -118.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.179  -118.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.077  -117.708
    38.179  -118.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.179  -118.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.179  -118.072
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.199  -117.985
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.139  -117.960
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.009  -117.882
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.433  -118.155
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.251  -118.505
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.628  -118.522
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.075  -117.223
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.701  -117.384
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.048  -118.101
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.834  -117.182
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.632  -119.079
    38.175  -118.062
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.233  -117.646
    38.175  -118.062
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    38.433  -118.157     0.300
    37.715  -117.801     0.300
    38.035  -120.387     0.300
    38.432  -118.154     0.300
    39.051  -118.100     0.300
    37.353  -118.564     0.300
    37.324  -119.319     0.300
    38.430  -118.304     0.300
    38.504  -119.437     0.300
    37.630  -118.836     0.300
    38.432  -118.155     0.300
    38.430  -118.303     0.300
    38.985  -119.241     0.300
    38.457  -118.766     0.300
    38.378  -118.756     0.300
    38.355  -118.820     0.300
    39.089  -119.600     0.300
    39.707  -119.384     0.300
    38.628  -118.523     0.300
    38.076  -118.592     0.300
    38.025  -118.187     0.300
    37.918  -118.565     0.300
    37.813  -118.696     0.300
    38.052  -119.181     0.300
    37.716  -118.573     0.300
    37.594  -118.344     0.300
    38.894  -119.608     0.300
    38.251  -118.505     0.300
    37.710  -119.042     0.300
    37.654  -119.061     0.300
    37.658  -119.012     0.300
    37.632  -119.079     0.300
    37.659  -118.979     0.300
    37.666  -118.940     0.300
    37.637  -119.018     0.300
    37.630  -119.032     0.300
    37.610  -119.028     0.300
    37.598  -119.059     0.300
    37.613  -119.001     0.300
    37.644  -118.897     0.300
    37.679  -118.815     0.300
    37.626  -118.902     0.300
    37.612  -118.915     0.300
    37.638  -118.836     0.300
    37.609  -118.874     0.300
    39.052  -120.155     0.300
    37.590  -118.829     0.300
    39.296  -119.650     0.300
    37.635  -118.656     0.300
    39.152  -120.163     0.300
    37.674  -118.507     0.300
    37.655  -118.906     0.300
    37.487  -118.723     0.300
    37.548  -118.443     0.300
    37.955  -118.302     0.300
    38.436  -118.337     0.300
    38.404  -118.318     0.300
    37.575  -118.552     0.300
    37.440  -118.640     0.300
    37.359  -118.689     0.300
    38.583  -119.806     0.300
    37.429  -118.429     0.300
    37.300  -118.487     0.300
    37.362  -118.280     0.300
    37.728  -118.947     0.300
    37.368  -117.972     0.300
    37.420  -119.744     0.300
    38.433  -118.155     0.300
    38.834  -117.182     0.300
    38.195  -119.005     0.300
    37.233  -117.646     0.300
    37.644  -118.897     0.300
    37.231  -118.283     0.300
    37.666  -118.940     0.300
    37.658  -119.012     0.300
    37.300  -117.261     0.300
    38.423  -118.274     0.300
    38.411  -118.295     0.300
    38.428  -118.294     0.300
    38.423  -118.307     0.300
    38.446  -118.291     0.300
    38.437  -118.305     0.300
    38.139  -117.960     0.300
    38.075  -117.223     0.300
    38.077  -117.708     0.300
    38.009  -117.882     0.300
    38.162  -117.871     0.300
    38.199  -117.985     0.300
    38.160  -118.052     0.300
    38.157  -117.872     0.300
    38.227  -117.746     0.300
    37.861  -119.103     0.300
    37.679  -118.815     0.300
    37.680  -118.909     0.300
    37.710  -119.042     0.300
    37.655  -118.906     0.300
    37.638  -118.836     0.300
    37.626  -118.903     0.300
    37.619  -118.863     0.300
    37.674  -118.507     0.300
    37.643  -119.029     0.300
    37.612  -118.915     0.300
    37.637  -119.018     0.300
    37.617  -118.960     0.300
    37.590  -118.829     0.300
    37.630  -119.032     0.300
    37.613  -119.021     0.300
    37.610  -119.029     0.300
    37.570  -118.753     0.300
    37.548  -118.443     0.300
    38.349  -119.440     0.300
    37.528  -118.367     0.300
    37.584  -118.237     0.300
    38.504  -119.438     0.300
    37.429  -118.429     0.300
    37.353  -118.563     0.300
    37.376  -119.180     0.300
    37.420  -119.744     0.300
    38.582  -119.807     0.300
    37.701  -117.384     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.142  -118.851     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.067  -119.132     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.726  -118.569     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.065  -118.737     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.571  -118.528     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.565  -118.526     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.570  -118.514     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.494  -118.409     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.220  -118.793     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.372  -119.370     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.547  -118.381     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.351  -118.777     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.365  -118.750     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.392  -118.743     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.404  -118.737     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.395  -118.739     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.387  -118.752     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.374  -118.736     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.350  -118.724     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.435  -118.748     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.411  -118.680     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.430  -118.742     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.413  -118.731     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.434  -118.720     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.903  -118.764     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.403  -118.702     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.571  -118.436     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.593  -118.421     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.408  -119.368     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.656  -118.798     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.665  -118.779     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.649  -118.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.651  -118.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.369  -118.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.388  -118.905     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.359  -118.916     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.379  -118.893     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.407  -118.920     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.352  -118.903     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.401  -118.931     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.061  -118.926     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.047  -118.756     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.041  -118.760     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.045  -118.758     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.044  -118.768     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.152  -117.874     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.162  -117.949     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.181  -117.896     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.146  -118.008     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.157  -117.991     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.174  -117.802     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.187  -117.979     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.168  -118.055     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.191  -117.847     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.177  -117.861     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.160  -118.041     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.141  -117.993     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.210  -117.927     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.199  -117.742     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.157  -118.053     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.170  -117.832     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.149  -117.954     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.181  -117.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.149  -118.065     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.148  -117.987     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.161  -118.097     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.184  -117.795     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.177  -117.844     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.146  -118.067     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.143  -118.070     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.206  -117.732     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.232  -117.788     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.131  -118.066     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.157  -117.974     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.149  -118.034     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.177  -117.785     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.158  -118.013     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.192  -117.725     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.044  -118.776     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.152  -118.053     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.214  -117.777     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.187  -117.758     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.177  -117.803     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.184  -117.815     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.174  -117.795     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.182  -117.783     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.154  -117.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.189  -117.875     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.048  -118.753     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.108  -117.908     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.198  -117.745     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.155  -117.953     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.181  -117.839     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.166  -118.066     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.180  -118.058     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.169  -118.077     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.179  -118.057     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.179  -118.072     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.175  -118.062     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    38.271  -118.325     0.000   222.000   222.000
    38.271  -118.325     0.000   444.000   444.000
END
